﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace CSharpSamples_Khoshamoz.Samples
{
    public partial class FrmSample026 : Form
    {
        public FrmSample026()
        {
            InitializeComponent();
        }

        OOP.Vehicle v = new OOP.Vehicle();

        private void btnDo_Click(object sender, EventArgs e)
        {
            v.Colour = "قرمز";
            //v.NumberOfDoors = 200;
            //v.NumberOfWheels = 4;
            //v.TopSpeed = 180;
            v.Height = 10;
            v.Width = 5;

            this.ShowVehicleInfo();
        }

        private void btnAccelerate_Click(object sender, EventArgs e)
        {
            v.Accelerate(10);
            this.ShowVehicleInfo();
        }

        private void btnReduceSpeed_Click(object sender, EventArgs e)
        {
            v.ReduceSpeed(10);
            this.ShowVehicleInfo();
        }

        private void ShowVehicleInfo()
        { 
            lblResult.Text = "Colour : " + v.Colour + "\nNumberOfDoors : " + v.NumberOfDoors + "\nNumberOfWheels : "
                                + v.NumberOfWheels + "\nTopSpeed : " + v.TopSpeed + "\nArea : " + v.Area + "\nCurrentSpeed : " + v.CurrentSpeed;            
        }

        private void CarSpeedLimitExceeded()
        {
            MessageBox.Show("سرعت شما غیر مجاز است","هشدار",MessageBoxButtons.OK,MessageBoxIcon.Warning);
        }

        private void FrmSample026_Load(object sender, EventArgs e)
        {
            v.SpeedLimitExceeded += new OOP.Vehicle.SpeedLimitExceededEventHandler(this.CarSpeedLimitExceeded);
        }

    }
}
